Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package leveleditor.LevelEditorBase

## Classes
class | LevelEditorBase
## Functions
def | cleanUpManipulating
| reply = wx.MessageBox("Do you want to delete selected?", "Delete?", wx.YES_NO | wx.ICON_QUESTION) if reply == wx.YES: base.direct.removeAllSelected() else: # need to reset COA dnp = base.direct.selected.last # Update camera controls coa to this point # Coa2Camera = Coa2Dnp * Dnp2Camera mCoa2Camera = dnp.mCoa2Dnp * dnp.getMat(base.direct.camera) row = mCoa2Camera.getRow(3) coa = Vec3(row[0], row[1], row[2]) base.direct.cameraControl.updateCoa(coa)
def | convertFromMaya
def | convertMaya
def | deselectAll
def | deselectAllCB
def | exportToMaya
def | exportToMayaCB
def | load
def | loadSettings
def | propMeetsReq
def | reset
def | resetOrthoCam
def | save
def | saveAs
def | saveSettings
def | select
def | selectedNodePathHook
def | updateStatusReadout
def | updateStatusReadoutTimeouts
## Variables
| currentFile
| fNeedToSave
| mode

## Detailed Description

    Base class for Level Editor

    You should write your own LevelEditor class inheriting this.
    Refer LevelEditor.py for example.

## Function Documentation

def leveleditor.LevelEditorBase.cleanUpManipulating | ( |  | self,
|  |  | selectedNPs
| ) |  |

reply = wx.MessageBox("Do you want to delete selected?", "Delete?", wx.YES_NO | wx.ICON_QUESTION) if reply == wx.YES: base.direct.removeAllSelected() else: # need to reset COA dnp = base.direct.selected.last # Update camera controls coa to this point # Coa2Camera = Coa2Dnp * Dnp2Camera mCoa2Camera = dnp.mCoa2Dnp * dnp.getMat(base.direct.camera) row = mCoa2Camera.getRow(3) coa = Vec3(row[0], row[1], row[2]) base.direct.cameraControl.updateCoa(coa)

def leveleditor.LevelEditorBase.convertFromMaya | ( |  | self,
|  |  | modelname,
|  |  | callBack
| ) |  |

def leveleditor.LevelEditorBase.convertMaya | ( |  | self,
|  |  | modelname,
|  |  | callBack,
|  |  | obj = `None`,
|  |  | isAnim = `False`
| ) |  |

def leveleditor.LevelEditorBase.deselectAll | ( |  | self,
|  |  | np = `None`
| ) |  |

def leveleditor.LevelEditorBase.deselectAllCB | ( |  | self,
|  |  | dnp = `None`
| ) |  |

def leveleditor.LevelEditorBase.exportToMaya | ( |  | self,
|  |  | mayaFileName
| ) |  |

def leveleditor.LevelEditorBase.exportToMayaCB | ( |  | self,
|  |  | mayaFileName,
|  |  | exportRootNP
| ) |  |

def leveleditor.LevelEditorBase.load | ( |  | self,
|  |  | fileName
| ) |  |

def leveleditor.LevelEditorBase.loadSettings | ( |  | self | ) |

def leveleditor.LevelEditorBase.propMeetsReq | ( |  | self,
|  |  | typeName,
|  |  | parentNP
| ) |  |

def leveleditor.LevelEditorBase.reset | ( |  | self | ) |

def leveleditor.LevelEditorBase.resetOrthoCam | ( |  | self,
|  |  | view
| ) |  |

def leveleditor.LevelEditorBase.save | ( |  | self | ) |

def leveleditor.LevelEditorBase.saveAs | ( |  | self,
|  |  | fileName
| ) |  |

def leveleditor.LevelEditorBase.saveSettings | ( |  | self | ) |

def leveleditor.LevelEditorBase.select | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = `0`,
|  |  | fSelectTag = `1`,
|  |  | fResetAncestry = `1`,
|  |  | fLEPane = `0`,
|  |  | fUndo = `1`
| ) |  |

def leveleditor.LevelEditorBase.selectedNodePathHook | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = `0`,
|  |  | fSelectTag = `1`,
|  |  | fLEPane = `0`
| ) |  |

def leveleditor.LevelEditorBase.updateStatusReadout | ( |  | self,
|  |  | status,
|  |  | color = `None`
| ) |  |

def leveleditor.LevelEditorBase.updateStatusReadoutTimeouts | ( |  | self,
|  |  | task = `None`
| ) |  |

## Variable Documentation

currentFile

fNeedToSave

mode

All Classes Namespaces Functions Variables Enumerations Enumerator Properties